<?xml version="1.0" encoding="windows-1251"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<xsl:template match="/">

      <html>
         <head>
         </head>
       
         <xsl:apply-templates select="APX_PUB"/> 
     </html>
</xsl:template> 


<xsl:template match="APX_PUB"> 
     <body> 
       <p>НОРМАТИВНЫЕ ДОКУМЕНТЫ	 </p>
       
       <table border="1">
         <tr> 
           <td width="200"> Обозначение </td>
           <td> Название </td>
           <td> Файлы </td>
         </tr>

       <xsl:for-each select="NTD_DOCS">
         <tr> 
           <td><xsl:value-of select="DN_CODE"/></td>
           <td><xsl:value-of select="DN_NAME"/></td>
           <td><xsl:apply-templates select="FILES"/></td>
         </tr>
       </xsl:for-each>

       </table> 
     
     </body> 
</xsl:template> 


<xsl:template match="FILES"> 

       <table>

         <xsl:for-each select="FILE">
           <tr> 
             <td><xsl:value-of select="FILE_NAME"/></td>
           </tr>
         </xsl:for-each>

       </table> 

</xsl:template> 


</xsl:stylesheet> 


